Show / Hide Table of Contents

# Class AttachTokenDigests

Contains the logic responsible of generating and attaching the hashes of the access token and authorization code to the identity token principal.

##### Inheritance

System.Object
AttachTokenDigests

##### Implements

IOpenIddictServerHandler<ProcessSignInContext>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class AttachTokenDigests : IOpenIddictServerHandler<ProcessSignInContext>

### Properties

#### Descriptor

Gets the default descriptor definition assigned to this handler.

##### Declaration

    public static OpenIddictServerHandlerDescriptor Descriptor { get; }

##### Property Value

Type | Description
--- | ---
OpenIddictServerHandlerDescriptor |

### Methods

#### HandleAsync(ProcessSignInContext)

Processes the event.

##### Declaration

    public ValueTask HandleAsync(ProcessSignInContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
ProcessSignInContext | context |

##### Returns

Type | Description
--- | ---
ValueTask | A that can be used to monitor the asynchronous operation.

### Implements

IOpenIddictServerHandler<TContext>